Subject: Re: bug#19495: 25.0.50; `message` -- optional argument to suppress echo area display

From: Juri Linkov <[email-masked]>
Date: Sun, 04 Aug 2019 22:14:17 +0300

>> As a feature request, the Emacs team may wish to consider adding an
>> optional argument to the `message` function to permit suppression of
>> the message being displayed in the echo area.
>>
>> In my particular use case, there are certain process output strings
>> that I prefer having printed to the `*Messages*` buffer -- instead of
>> a dedicated process output buffer.
>
> [...]
>
>> The following is my workaround:
>>
>> (defun rsync-process-filter (proc string)
>>   (let ((inhibit-read-only t))
>>     (when (not (or
>>         (string-match "files...\r" string)
>>         (string-match "files to consider\n" string)))
>>       (with-current-buffer (get-buffer-create "*Messages*")
>>         (goto-char (point-max))
>>         (insert string)))))
>
> (I'm going through old bug reports that unfortunately have not received
> any responses yet.)
>
> I kinda don't think extending `message' in this way would be ideal.
> Currently, `message' is pretty simple to understand, and to change it to
> not actually message anything (in some circumstances) would be
> confusing.  Doing this in the way you've done in the workaround seems
> like a better idea.

Emacs 25 introduced a new variable 'inhibit-message' to suppress echo area display.

> So I'm closing this as a "wontfix".

This feature request was dated Jan 2015, and a new feature implemented
independently was added on Apr 2015.